Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPFunctionScope

All Superinterfaces:
  `ICPPScope`, `IScope`

public interface ICPPFunctionScope extends ICPPScope

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`IScope.ScopeLookupData`

## Method Summary

Modifier and Type
Method
Description
`IScope`
`getBodyScope()`
Returns the scope representing the function body, or `null` if there is no function definition.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`find, find, getBinding, getBinding, getBindings, getBindings, getBindings, getKind, getParent, getScopeName`

## Method Details

### getBodyScope

IScope getBodyScope() throws DOMException
Returns the scope representing the function body, or `null` if there is no function definition.

Throws:
  `DOMException`